Package com.datecs.fiscalprinter.SDK.model.UserLayerV1

# Class ReceiptConverterAB

java.lang.Object
com.datecs.fiscalprinter.SDK.model.UserLayerV1.ReceiptConverterAB

    public class ReceiptConverterAB
    extends java.lang.Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `ReceiptConverterAB.BCType` |
  `static interface` | `ReceiptConverterAB.OnConvertCompletedListener` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ReceiptConverterAB()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `ConvertEJReceiptA​(java.lang.String deviceFM, java.lang.String docNumber, java.awt.image.BufferedImage logoImg, java.lang.String imageFileName)` | Receipt to image covert.
  `void` | `ConvertEJReceiptB​(java.lang.String deviceFM, java.lang.String recNumber, java.awt.image.BufferedImage logoImg, java.lang.String imageFileName)` | Receipt to image convert.
  `void` | `registerConvertCompletedListener​(ReceiptConverterAB.OnConvertCompletedListener mListener)` |
  `void` | `setBarcodeFormat​(ReceiptConverterAB.BCType barcodeFormat)` |
  `static void` | `setBarcodeFormat​(com.google.zxing.BarcodeFormat barcodeFormat)` |
  `void` | `setBarcodeHeight​(int barcodeHeight)` |
  `static void` | `setBarcodeTextFontSize​(int barcodeTextFontSize)` |
  `void` | `setBarcodeWidth​(int barcodeWidth)` |
  `void` | `setBoldTextFontSize​(int boldTextFontSize)` |
  `void` | `setfPrintBarcodeData​(boolean fPrintBarcodeData)` |
  `void` | `setOutImageFormat​(java.lang.String outImageFormat)` |
  `void` | `setQRsize​(int QRsize)` |
  `void` | `setReceiptMargin​(java.awt.Insets receiptMargin)` |
  `void` | `setRegularFontSize​(int regularFontSize)` |
  `void` | `setTextFont​(java.lang.String textFont)` |

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ReceiptConverterAB

    public ReceiptConverterAB()

- ## Method Details

  - ### setfPrintBarcodeData

    public void setfPrintBarcodeData​(boolean fPrintBarcodeData)

  - ### setQRsize

    public void setQRsize​(int QRsize)

  - ### setBarcodeHeight

    public void setBarcodeHeight​(int barcodeHeight)

  - ### setBarcodeWidth

    public void setBarcodeWidth​(int barcodeWidth)

  - ### setOutImageFormat

    public void setOutImageFormat​(java.lang.String outImageFormat)

  - ### setRegularFontSize

    public void setRegularFontSize​(int regularFontSize)

  - ### setBoldTextFontSize

    public void setBoldTextFontSize​(int boldTextFontSize)

  - ### setTextFont

    public void setTextFont​(java.lang.String textFont)

  - ### setReceiptMargin

    public void setReceiptMargin​(java.awt.Insets receiptMargin)

  - ### setBarcodeTextFontSize

    public static void setBarcodeTextFontSize​(int barcodeTextFontSize)

  - ### setBarcodeFormat

    public static void setBarcodeFormat​(com.google.zxing.BarcodeFormat barcodeFormat)

  - ### registerConvertCompletedListener

    public void registerConvertCompletedListener​(ReceiptConverterAB.OnConvertCompletedListener mListener)

  - ### ConvertEJReceiptA

    public void ConvertEJReceiptA​(java.lang.String deviceFM, java.lang.String docNumber, java.awt.image.BufferedImage logoImg, java.lang.String imageFileName)
    Receipt to image covert.

    Search and export to .png file, any EJ document in styles similar to those printed by fiscal device. Supported group A devices: DATECS FP-800 / FP-2000 / FP-650 / SK1-21F / SK1-31F/ FMP-10 / FP-700

    If the found recipe contains a barcode data, it is encoding as barcode Supported barcode encoding: EAN8, 7 Digit EAN13, 13 Digit CODE128, 22 to 42 ASCII[32 to 127] ITF, Digits PDF417, up 140 symbols QRCODE, up 140 symbols DATAMATRIX up 140 symbols

    Use receiptConverter.setBarcodeFormat() to set barcode writer. If receiptConverter.setfPrintBarcodeData(true); barcode data symbols is printed below barcode

    The size of the output image is determined by the number of characters in receipt text lines and the size of the selected font.

    If the selected image of the logo is larger than the size thus calculated, it is reduced to fit

    Parameters:
      `deviceFM` - - Fiscal memory number of device; (Used to determine the location of the fiscal QR code)
      `docNumber` - - Receipt number from EJ to convert;
      `logoImg` - - Not mandatory image to add as logo on the receipt header;
      `imageFileName` - - Output file name;

  - ### ConvertEJReceiptB

    public void ConvertEJReceiptB​(java.lang.String deviceFM, java.lang.String recNumber, java.awt.image.BufferedImage logoImg, java.lang.String imageFileName)
    Receipt to image convert. Search and export to image file, EJ document in styles similar to those printed by fiscal device. Supported group B devices: DATECS DP-05, DP-25, DP-35, WP-50, DP-150
    Parameters:
      `deviceFM` - - Fiscal memory number of device; (Used to determine the location of the fiscal QR code)
      `recNumber` - - Receipt number from EJ to convert;
      `logoImg` - - Not mandatory image to add as logo on the receipt header;
      `imageFileName` - - Output file name;

  - ### setBarcodeFormat

    public void setBarcodeFormat​(ReceiptConverterAB.BCType barcodeFormat) throws java.lang.Exception
    Parameters:
      `barcodeFormat` -
    Throws:
      `java.lang.Exception`